%\documentclass[10pt]{beamer}
\documentclass[aspectratio=169]{beamer}
\usetheme[
%%% option passed to the outer theme
%    progressstyle=fixedCircCnt,   % fixedCircCnt, movingCircCnt (moving is deault)
  ]{Feather}

% If you want to change the colors of the various elements in the theme, edit and uncomment the following lines

% Change the bar colors:
%\setbeamercolor{Feather}{fg=red!20,bg=red}

% Change the color of the structural elements:
%\setbeamercolor{structure}{fg=red}

% Change the frame title text color:
%\setbeamercolor{frametitle}{fg=blue}

% Change the normal text color background:
%\setbeamercolor{normal text}{fg=black,bg=gray!10}

%-------------------------------------------------------
% INCLUDE PACKAGES
%-------------------------------------------------------

\usepackage[utf8]{inputenc}
\usepackage[english]{babel}
\usepackage[T1]{fontenc}
\usepackage{helvet}
\usepackage{multirow}
\usepackage{xcolor}
\usepackage[export]{adjustbox}
\definecolor{purple}{HTML}{A91A91}
\definecolor{grey}{HTML}{333333}
\usepackage{pdfpcnotes}
\usepackage{hyperref}          % clickable URls and cross-references
\hypersetup{
    pdfborderstyle={/S/U/W 1}, % underline links instead of boxes
    colorlinks=true,
    urlcolor=teal,
    linkbordercolor=red,       % color of internal links
    citebordercolor=green,     % color of links to bibliography
    filebordercolor=magenta,   % color of file links
    urlbordercolor=blue        % color of external links
}

%-------------------------------------------------------
% DEFFINING AND REDEFINING COMMANDS
%-------------------------------------------------------

% colored hyperlinks
\newcommand{\chref}[2]{
    \href{#1}{\color{blue}}
}
%-------------------------------------------------------
% INFORMATION IN THE TITLE PAGE
%-------------------------------------------------------

\title[] % [] is optional - is placed on the bottom of the sidebar on every slide
{ % is placed on the title page
      \textbf{PeerTube}
}

%\subtitle[Lets decentralize YouTube]
%{
%        \textbf{Lets decentralize YouTube}
%      \textbf{v. 1.0.0}
%}

\author[Luc Didry]
{      Luc Didry
}

\institute[]
{
      Framasoft

  %there must be an empty line above this line - otherwise some unwanted space is added between the university and the country (I do not know why;( )
}

\date{15\textsuperscript{er} mars 2019}

%-------------------------------------------------------
% THE BODY OF THE PRESENTATION
%-------------------------------------------------------

\begin{document}

%-------------------------------------------------------
% THE TITLEPAGE
%-------------------------------------------------------

{\1% % this is the name of the PDF file for the background
\begin{frame}[plain,noframenumbering] % the plain option removes the header from the title page, noframenumbering removes the numbering of this frame only
  \titlepage % call the title page information from above
\end{frame}}


%%\begin{frame}{Table of contents}{}
%%\tableofcontents
%%\end{frame}

%-------------------------------------------------------
\section{Introduction}
%-------------------------------------------------------
\subsection{Créer sa propre plateforme de diffusion de vidéos}
\begin{frame}{Introduction}{Créer sa propre plateforme de diffusion de vidéos}
    Il est facile de posséder sa propre plateforme de diffusion de vidéos

    \onslide<2-> \emph{mais} :

    \begin{itemize}
        \item<3-> de fait, le catalogue est limité à ses propres productions ;
        \item<4-> sauf si on se regroupe avec d’autres structures, mais le stockage commence alors à coûter cher ;
        \item<5-> et la bande passante peut devenir un goulot d’étranglement.
    \end{itemize}
\end{frame}

\begin{frame}{Introduction}{Créer sa propre plateforme de diffusion de vidéos}
    \center\includegraphics[height=0.8\textheight,keepaspectratio]{img/snapshots/01_start.png}
\end{frame}

%-------------------------------------------------------
\section{PeerTube}
%-------------------------------------------------------

\begin{frame}{PeerTube}{PeerTube répond à ces problématiques}
    PeerTube est un logiciel de diffusion de vidéos fédéré et utilisant le pair-à-pair.
\end{frame}

\begin{frame}{PeerTube}{Fédération}
    \center\includegraphics[height=0.8\textheight,keepaspectratio]{img/snapshots/02_federation.png}
\end{frame}
\begin{frame}{PeerTube}{Fédération}
    \center\includegraphics[height=0.8\textheight,keepaspectratio]{img/snapshots/03_federation_streaming.png}
\end{frame}
\begin{frame}{PeerTube}{Fédération}
    \center\includegraphics[height=0.8\textheight,keepaspectratio]{img/snapshots/04_federation_catalog.png}
\end{frame}
\begin{frame}{PeerTube}{Fédération}
    \center\includegraphics[height=0.8\textheight,keepaspectratio]{img/snapshots/05_federation_catalog_2.png}
\end{frame}
\begin{frame}{PeerTube}{Fédération}
    \center\includegraphics[height=0.8\textheight,keepaspectratio]{img/snapshots/06_federation_network.png}
\end{frame}
\begin{frame}{PeerTube}{Diffusion en pair-à-pair}
    \center\includegraphics[height=0.8\textheight,keepaspectratio]{img/snapshots/07_p2p.png}
\end{frame}
\begin{frame}{PeerTube}{Diffusion en pair-à-pair}
    \center\includegraphics[height=0.8\textheight,keepaspectratio]{img/snapshots/08_p2p_1.png}
\end{frame}
\begin{frame}{PeerTube}{Diffusion en pair-à-pair}
    \center\includegraphics[height=0.8\textheight,keepaspectratio]{img/snapshots/09_p2p_2.png}
\end{frame}
\begin{frame}{PeerTube}{Diffusion en pair-à-pair}
    \center\includegraphics[height=0.8\textheight,keepaspectratio]{img/snapshots/10_p2p_3.png}
\end{frame}
\begin{frame}{PeerTube}{Diffusion en pair-à-pair}
    \center\includegraphics[height=0.8\textheight,keepaspectratio]{img/snapshots/11_p2p_4.png}
\end{frame}
\begin{frame}{PeerTube}{Diffusion en pair-à-pair}
    \center\includegraphics[height=0.8\textheight,keepaspectratio]{img/snapshots/12_p2p_5.png}
\end{frame}
\begin{frame}{PeerTube}{Diffusion en pair-à-pair}
    \center\includegraphics[height=0.8\textheight,keepaspectratio]{img/snapshots/13_p2p_6.png}
\end{frame}
\begin{frame}{PeerTube}{Open-source}
    \center\includegraphics[height=0.8\textheight,keepaspectratio]{img/snapshots/14_open_source.png}
\end{frame}
\begin{frame}{PeerTube}{Reprenez le contrôle}
    \center\includegraphics[height=0.8\textheight,keepaspectratio]{img/snapshots/15_your_rules.png}
\end{frame}
\begin{frame}{PeerTube}{Rejoignez la Fédération}
    \center\includegraphics[height=0.8\textheight,keepaspectratio]{img/snapshots/16_joinpeertube_org.png}
\end{frame}
%-------------------------------------------------------
\section{Conclusion}
%-------------------------------------------------------

\begin{frame}{Conclusion}{Questions}
    \center{\Large Avez-vous des questions ?}

    \center\includegraphics[height=0.7\textheight,keepaspectratio]{img/chaton.jpg}
\end{frame}

\begin{frame}{Conclusion}{Liens}
    \begin{itemize}
        \item \url{https://joinpeertube.org}
        \item \url{https://github.com/Chocobozzz/peertube}
        \item \url{https://framasoft.org}
        \item Retrouvez ces diapositives sur \url{https://frama.link/olki-2019}
    \end{itemize}
\end{frame}

\begin{frame}{Conclusion}{Crédits}
    \begin{itemize}
        \item dessins Contributopia CC-BY \href{http://www.davidrevoy.com/}{David Revoy}
        \item Dessins CC-BY-SA \href{https://libreart.info/}{LILA} - \href{https://film.zemarmot.net/}{ZeMarmot Team}
        \item photo de chaton GFDL \href{https://commons.wikimedia.org/wiki/File:Chaton_Isabelle.JPG}{Carole Pasquier}
    \end{itemize}
\end{frame}

%{\3
%\begin{frame}[plain,noframenumbering]
%    \finalpage{
%    }
%\end{frame}}

\end{document}
